<?php

/**
 * @file
 * Administration page callbacks.
 */

/**
 * Callback for the settings form.
 */
function cyclone_settings($form, &$form_state) {
  // Notifications.
  $form['notify'] = array(
    '#type' => 'fieldset',
    '#title' => t('Notify'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['notify']['cyclone_notify_secret'] = array(
    '#type' => 'textfield',
    '#title' => t('Notify Secret'),
    '#description' => t('A shared secret which can be used to sign the notification.'),
    '#default_value' => variable_get('cyclone_notify_secret', ''),
  );
  return system_settings_form($form);
}

/**
 * Callback for the builders form.
 */
function cyclone_builders($form, &$form_state) {
  return system_settings_form($form);
}

/**
 * Callback for the providers form.
 */
function cyclone_providers($form, &$form_state) {
  return system_settings_form($form);
}
